## r-cran-evd 2.3

=== DESCRIPTION ===
Package: evd
Version: 2.3-7.1
Date: 2024-04-23
Title: Functions for Extreme Value Distributions
Author: Alec Stephenson. Function fbvpot by Chris Ferro.
Maintainer: Alec Stephenson <alec_stephenson@hotmail.com>
Imports: stats, grDevices, graphics
Suggests: interp
Description: Extends simulation, distribution, quantile and density
        functions to univariate and multivariate parametric extreme
        value distributions, and provides fitting functions which
        calculate maximum likelihood estimates for univariate and
        bivariate maxima models, and for univariate and bivariate
        threshold models.
LazyData: yes
License: GPL-3
NeedsCompilation: yes
Packaged: 2024-09-21 08:14:54 UTC; hornik
Repository: CRAN
Date/Publication: 2024-09-21 08:46:10 UTC
Depends: R (>= 2.10)

## r-cran-evd 2.2-4

=== debian/changelog ===
r-cran-evd (2.2-4-2) unstable; urgency=low

  * debian/{control,rules}: Depends: ${R:Depends}
    Closes: #646010
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * Added README.Debian how to test the package
  * Fixed Vcs fields
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Oct 2011 11:46:23 +0200

r-cran-evd (2.2-4-1) unstable; urgency=low

  * Initial Debian Release. (Closes: #590949)

 -- Steffen Moeller <moeller@debian.org>  Fri, 30 Jul 2010 15:17:23 +0200

=== debian/control ===
Source: r-cran-evd
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), r-base-dev (>= 2.10.0~1), cdbs
Standards-Version: 3.9.2
Homepage: http://cran.r-project.org/web/packages/evd
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-evd/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-evd/trunk/

Package: r-cran-evd
Architecture: any
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNU R Functions for extreme value distributions
 Extends simulation, distribution, quantile and density functions to
 univariate and multivariate parametric extreme value distributions, and
 provides fitting functions which calculate maximum likelihood estimates
 for univariate and bivariate maxima models, and for univariate and
 bivariate threshold models.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-evd package
# Copyright 2011 by Andreas Tille <tille@debian.org>, GPL

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	# Require a number equal or superior than the R version the package was built with.
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## r-cran-evd 2.3-0

=== debian/changelog ===
r-cran-evd (2.3-0-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - DM-Upload-Allowed removed
     - debhelper 9 (also debian/compat)
     - normalised format
     - remove versioned Build-Depends from r-base-dev
  * mv README.Debian README.test; install via debian/docs
  * debian/copyright: DEP5
  * debian/upstream: Add citation information
  * debian/rules:
     - Remove unneeded code to obtain R:Depends variable
     - Remove executable flag from docs

 -- Andreas Tille <tille@debian.org>  Sat, 18 May 2013 10:51:08 +0200

=== debian/control ===
Source: r-cran-evd
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               cdbs
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-evd/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-evd/trunk/
Homepage: http://cran.r-project.org/web/packages/evd

Package: r-cran-evd
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU R Functions for extreme value distributions
 Extends simulation, distribution, quantile and density functions to
 univariate and multivariate parametric extreme value distributions, and
 provides fitting functions which calculate maximum likelihood estimates
 for univariate and bivariate maxima models, and for univariate and
 bivariate threshold models.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-evd package
# Copyright 2011 by Andreas Tille <tille@debian.org>, GPL

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/doc/*
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/README
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/CITATION
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/CHANGES

## r-cran-evd 2.3-2

=== debian/changelog ===
r-cran-evd (2.3-2-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 14:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,19 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                r-base-dev,
-               cdbs
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-evd/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-evd/trunk/
-Homepage: http://cran.r-project.org/web/packages/evd
+               dh-r
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-evd/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-evd/trunk/
+Homepage: https://cran.r-project.org/package=evd
 
 Package: r-cran-evd
 Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R Functions for extreme value distributions
  Extends simulation, distribution, quantile and density functions to
  univariate and multivariate parametric extreme value distributions, and

=== debian/watch ===
version=2
http://cran.us.r-project.org/src/contrib/evd_(.*)\.tar\.gz

## r-cran-evd 2.3-3

=== debian/changelog ===
r-cran-evd (2.3-3-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive.
  * Refer to specific version of license GPL-3+.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 12:44:54 +0200

r-cran-evd (2.3-3-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers.
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 01 Dec 2018 17:26:24 +0100

r-cran-evd (2.3-3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 10:13:34 +0200

r-cran-evd (2.3-2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Testsuite: autopkgtest-pkg-r
  * Secure URI in watch file
  * debhelper 10
  * Standards-Version: 4.1.1
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 16:15:36 +0100

=== debian/control ===
Source: r-cran-evd
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-evd
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-evd.git
Homepage: https://cran.r-project.org/package=evd
Rules-Requires-Root: no

Package: r-cran-evd
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Functions for extreme value distributions
 Extends simulation, distribution, quantile and density functions to
 univariate and multivariate parametric extreme value distributions, and
 provides fitting functions which calculate maximum likelihood estimates
 for univariate and bivariate maxima models, and for univariate and
 bivariate threshold models.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/evd_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-evd 2.3-6.1

=== debian/changelog ===
r-cran-evd (2.3-6.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2022 11:31:04 +0200

r-cran-evd (2.3-6-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 11:02:53 +0200

r-cran-evd (2.3-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Mar 2022 15:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-evd
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-evd
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-evd.git
+Homepage: https://cran.r-project.org/package=evd
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-evd
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-evd.git
-Homepage: https://cran.r-project.org/package=evd
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-evd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.txt" -exec chmod -x \{\} \;
	find debian -name "*.pdf" -exec chmod -x \{\} \;
	find debian -name "README" -exec chmod -x \{\} \;
	find debian -name "CITATION" -exec chmod -x \{\} \;
	find debian -name "CHANGES" -exec chmod -x \{\} \;

## r-cran-evd 2.3-7.1

=== debian/changelog ===
r-cran-evd (2.3-7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 10:12:45 +0900

r-cran-evd (2.3-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 13:16:55 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-evd
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-evd.git
 Homepage: https://cran.r-project.org/package=evd
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
